Create Deal
curl --request POST \
--url https://integration.getmateo.com/api/v1/deal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"external_id": "<string>",
"type_key": "<string>",
"status_key": "<string>",
"assignee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": 123,
"currency": "EUR",
"won_at": "<string>",
"lost_at": "<string>"
}
'import requests
url = "https://integration.getmateo.com/api/v1/deal"
payload = {
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"external_id": "<string>",
"type_key": "<string>",
"status_key": "<string>",
"assignee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": 123,
"currency": "EUR",
"won_at": "<string>",
"lost_at": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'random uuid',
created_at: 'now()',
updated_at: 'now()',
organisation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
external_id: '<string>',
type_key: '<string>',
status_key: '<string>',
assignee_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
value: 123,
currency: 'EUR',
won_at: '<string>',
lost_at: '<string>'
})
};
fetch('https://integration.getmateo.com/api/v1/deal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"external_id": "<string>",
"type_key": "<string>",
"status_key": "<string>",
"assignee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": 123,
"currency": "EUR",
"won_at": "<string>",
"lost_at": "<string>"
}{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"external_id": "<string>",
"type_key": "<string>",
"status_key": "<string>",
"assignee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": 123,
"currency": "EUR",
"won_at": "<string>",
"lost_at": "<string>"
}This response has no body data.Deal
Create Deal
Create a new deal
Create Deal
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filtering Columns
Body
application/json
deal
Latest update
Organisation ID
Contact ID
Name of the deal
External ID
Type Key
Status Key
Assignee ID
Value of the deal
Currency of the deal
Available options:
EUR, CHF, USD Won at timestamp
Lost at timestamp
Response
The updated Deal object
Latest update
Organisation ID
Contact ID
Name of the deal
External ID
Type Key
Status Key
Assignee ID
Value of the deal
Currency of the deal
Available options:
EUR, CHF, USD Won at timestamp
Lost at timestamp
⌘I